GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Enumerations | Functions
log.h File Reference
`#include <stdlib.h>`
`#include <stdarg.h>`

Go to the source code of this file.

## Data Structures
struct | gpr_log_func_args

## Macros
#define | GPR_DEBUG __FILE__, __LINE__, GPR_LOG_SEVERITY_DEBUG
#define | GPR_INFO __FILE__, __LINE__, GPR_LOG_SEVERITY_INFO
#define | GPR_ERROR __FILE__, __LINE__, GPR_LOG_SEVERITY_ERROR
#define | GPR_ASSERT(x)

## Typedefs
typedef enum gpr_log_severity | gpr_log_severity
typedef void(* | gpr_log_func )(gpr_log_func_args *args)

## Enumerations
enum | gpr_log_severity { GPR_LOG_SEVERITY_DEBUG, GPR_LOG_SEVERITY_INFO, GPR_LOG_SEVERITY_ERROR }

## Functions
const char * | gpr_log_severity_string (gpr_log_severity severity)
void | gpr_log (const char *file, int line, gpr_log_severity severity, const char *format,...)
void | gpr_log_message (const char *file, int line, gpr_log_severity severity, const char *message)
void | gpr_set_log_function (gpr_log_func func)

## Macro Definition Documentation

#define GPR_ASSERT | ( |  | x | ) |

Value:
do { \
if (!(x)) { \
gpr_log(GPR_ERROR, "assertion failed: %s", #x); \
abort(); \
} \
} while (0)
GPR_ERROR
#define GPR_ERROR
Definition: log.h:68
gpr_log
void gpr_log(const char *file, int line, gpr_log_severity severity, const char *format,...)

#define GPR_DEBUG __FILE__, __LINE__, GPR_LOG_SEVERITY_DEBUG

#define GPR_ERROR __FILE__, __LINE__, GPR_LOG_SEVERITY_ERROR

#define GPR_INFO __FILE__, __LINE__, GPR_LOG_SEVERITY_INFO

## Typedef Documentation

typedef void(* gpr_log_func)(gpr_log_func_args *args)

typedef enum gpr_log_severity gpr_log_severity

## Enumeration Type Documentation

enum gpr_log_severity

Enumerator
GPR_LOG_SEVERITY_DEBUG |
GPR_LOG_SEVERITY_INFO |
GPR_LOG_SEVERITY_ERROR |

## Function Documentation

void gpr_log | ( | const char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | const char * | format,
|  |  | ...
| ) |  |

void gpr_log_message | ( | const char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | const char * | message
| ) |  |

const char* gpr_log_severity_string | ( | gpr_log_severity | severity | ) |

void gpr_set_log_function | ( | gpr_log_func | func | ) |